import request from '@/utils/request' //引入axios请求及拦截器
export default {
    //新增知识点
    addKnowledgeExam(data) {
        return request({
            url: '/exam/knowledge',
            method: 'post',
            data
        })
    },
    //修改知识点
    editKnowledgeExam(data) {
        return request({
            url: '/exam/knowledge/edit',
            method: 'post',
            data
        })
    },
    //查询知识点列表
    inquireKnowledgeExamListS(data) {
        return request({
            url: '/exam/knowledge/list',
            method: 'get',
            params: data
        })
    },
    //获取知识点详细信息
    obtainKnowledgeExamS(data) {
        return request({
            url: `/exam/knowledge/` + data,
            method: 'get',
        })
    },
}